# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "tensorlake"
version = "0.5.52"
authors = ["support@tensorlake.ai"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust SDK for interacting with Tensorlake Cloud APIs."
homepage = "https://tensorlake.ai"
documentation = "https://docs.rs/tensorlake"
readme = false
license = "Apache-2.0"
repository = "https://github.com/tensorlakeai/tensorlake"

[features]
integration-tests = []
openapi = ["utoipa"]

[lib]
name = "tensorlake"
path = "src/lib.rs"

[[test]]
name = "applications"
path = "tests/applications.rs"

[[test]]
name = "common"
path = "tests/common.rs"

[[test]]
name = "images"
path = "tests/images.rs"

[[test]]
name = "sandbox_templates"
path = "tests/sandbox_templates.rs"

[[test]]
name = "secrets"
path = "tests/secrets.rs"

[dependencies.base64]
version = "0.22"

[dependencies.bollard]
version = "0.20"

[dependencies.bytes]
version = "1.11.1"

[dependencies.chrono]
version = "0.4.44"
features = ["serde"]

[dependencies.derive_builder]
version = "0.20"

[dependencies.des]
version = "0.8"

[dependencies.docker-credentials-config]
version = "0.1.0"

[dependencies.eventsource-stream]
version = "0.2"

[dependencies.flate2]
version = "1.1.9"

[dependencies.futures]
version = "0.3.32"

[dependencies.hex]
version = "0.4"

[dependencies.ignore]
version = "0.4"

[dependencies.pin-project-lite]
version = "0.2.17"

[dependencies.png]
version = "0.18"

[dependencies.rand]
version = "0.9.2"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "json",
    "multipart",
    "rustls-no-provider",
    "stream",
]
default-features = false

[dependencies.reqwest-middleware]
version = "0.5.1"
features = [
    "json",
    "multipart",
    "query",
]

[dependencies.rustls]
version = "0.23"
features = ["ring"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.serde_path_to_error]
version = "0.1.20"

[dependencies.serde_repr]
version = "0.1"

[dependencies.serde_with]
version = "3.17"
features = [
    "base64",
    "std",
    "macros",
]
default-features = false

[dependencies.sha2]
version = "0.10"

[dependencies.shlex]
version = "1.3"

[dependencies.tar]
version = "0.4"

[dependencies.tempfile]
version = "3"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.49.0"
features = [
    "macros",
    "rt-multi-thread",
    "time",
    "process",
    "io-std",
    "io-util",
    "signal",
]

[dependencies.tokio-tungstenite]
version = "0.28.0"
features = ["rustls-tls-webpki-roots"]

[dependencies.tokio-util]
version = "0.7.18"
features = [
    "codec",
    "io",
]

[dependencies.url]
version = "2.5.8"

[dependencies.urlencoding]
version = "2.1"

[dependencies.utoipa]
version = "5.4.0"
features = ["chrono"]
optional = true

[dependencies.uuid]
version = "1.22.0"
features = [
    "serde",
    "v4",
]

[dev-dependencies.data-encoding]
version = "2.5"

[dev-dependencies.zip]
version = "0.6"

[lints.clippy]
too_many_arguments = "allow"
